h1:focus {
    outline: none;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid #e50000;
}

.validation-message {
    color: #e50000;
}

.blazor-error-boundary {
    /*    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;*/
    background-color: darkred;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

.blazor-error-boundary::after {
    content: "An error has occurred."
}

.darker-border-checkbox.form-check-input {
    border-color: #929292;
}

#components-reconnect-modal{
    display:none !important;
}

/* You can add global styles to this file, and also import other style files */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: Google Sans, Arial, sans-serif;
}
h1 {
    font-size: 1.3rem;
}

h2, h3, h4, h5, h6 {
    font-size: 1.2rem;
}

body {
    min-width: 360px;
    font-family: Google Sans, Arial, sans-serif;
}

*::before, *::after {
    box-sizing: border-box;
}

a:link {
    text-decoration: none;
}

a:hover {
    color: red;
}

/*         https://css-loaders.com/spinner/               */
.loader {
    width: 50px;
    padding: 8px;
    aspect-ratio: 1;
    border-radius: 50%;
    background: #25b09b;
    --_m: conic-gradient(#0000 10%,#000), linear-gradient(#000 0 0) content-box;
    -webkit-mask: var(--_m);
    mask: var(--_m);
    -webkit-mask-composite: source-out;
    mask-composite: subtract;
    animation: l3 1s infinite linear;
}

@keyframes l3 {
    to {
        transform: rotate(1turn)
    }
}

.active {
    background-color: red;
}

.product-list-hor {
    display: grid;
    grid-template-columns: repeat(1, 1fr); /* Creates 1 columns of equal width */
    gap:10px;
}

.product-list-ver {
    display: grid;
    grid-template-columns: repeat(1, 1fr); /* Creates 1 columns of equal width */
    gap: 10px;
}

.product-container-ver {
    background: #fff;
    border-radius: 4px;
    box-shadow: 1px 2px 3px #727272;
    border: 1px solid #e5e5e5;
}

.product-container-hor {
    background: #fff;
    border-radius: 4px;
    box-shadow: 1px 2px 3px #727272;
    border: 1px solid #e5e5e5;
    color: #595959;
    display: flex;
    flex-direction: column;
}

.group-heading {
    font-size: 2rem;
    font-weight: 600;
    color: black;
}

.product-heading {
    font-size: 1.3rem;
    font-weight: 600;
    padding:30px 0px 10px 0px;;
}

.product-description {
    color: black;
    font-size: 1em;
    font-weight: 400;
    padding-top: 30px;
}

.product-image-container {
    display: flex;
    justify-content: center; /* Horizontal centering */
    /*align-items: center;*/ /* Vertical centering */
    /*height: 300px;*/ /* Required for vertical centering */
}

.product-price {
    margin-top: 10px;
    font-size: 1.4em;
    font-weight: 500;
    color: black;
}

.group-section{
    padding-top:20px;
}

.page-group {
    margin-top: 50px;
}

.page-group span {
    margin: 5px;
    padding: 10px 15px;
    border: 1px solid black;
    cursor: pointer;
    justify-content: center;
}

.selectedPage {
    background-color: grey;
}

input.ng-invalid.ng-touched {
    border: red 2px solid;
}

small {
    color: red;
    font-weight: bold;
}

.action-buttons {
    display: flex;
    gap: 10px;
    padding: 60px 0px 20px 0px;
    justify-content: center;
    align-items: center;
}

.action-button {
    padding: 5px 5px;
    text-align: center;
}

.anch a {
    background-color: blue;
    border: none;
    color: white;
    padding: 10px 12px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 16px;
}

.sticky-image {
    position: fixed; /* Keeps the image fixed in the viewport */
    top: 250px; /* Optional: positions the image 50px from the top */
    left: 0px; /* Optional: positions the image 20px from the right */
    width: 30px;
    height: 40px;
    /* Add other styling like width, height, z-index, etc. */
    z-index: 100; /* Ensures the image is on top of other content */
}

/*for tablet*/
@media only screen and (min-width: 481px) and (max-width:768px) {
    .product-list-hor
    {
        grid-template-columns: repeat(1, 1fr); /* Creates 1 columns of equal width */
    }
}

/*for laptop*/
@media only screen and (min-width: 769px) {
    .product-list-hor {
        grid-template-columns: repeat(3, 1fr); /* Creates 1 columns of equal width */
    }

}